Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 25 Oct 1996 17:20:37 -0700 (PDT)
From:      Dave Babler <dbabler@Rigel.orionsys.com>
To:        questions@freebsd.org
Subject:   Lynx 2.6 port
Message-ID:  <Pine.BSI.3.95.961025171102.17952B-100000@Rigel.orionsys.com>

Next in thread | Raw E-Mail | Index | Archive | Help

I recently discovered a problem with slynx 2.5FM that causes it to exit
with a signal 11. I was told that that problem didn't exist in -CURRENT (I
am running 2.1.5-STABLE and using CTM to keep current). I grabbed the
current port for slang-lynx 2.6 and the slang library and tried to rebuild
it. The slynx port fails to build; it cannot apply the patches in the
script. 

>> No MD5 checksum file.
===>  Extracting for slang-lynx-2.6
===>  slang-lynx-2.6 depends on executable: unzip - found
===>  slang-lynx-2.6 depends on shared library: slang\.0\.99 - found
===>  Patching for slang-lynx-2.6
===>  Applying FreeBSD patches for slang-lynx-2.6
*** Error code 2

Stop.
*** Error code 1

Stop.
*** Error code 1

Stop.

This was reported to GNATS and the determination was that I was using
"obsolete *.mk" files. I rebuilt all the *.mk files and the error
persists. 

The existig slynx executable is now also broken because it depends
on the old library:

  ld.so failed: open failed for "/usr/local/lib/libslang.so.99.33" : No
  such file or directory

What am I doing wrong??

-Dave




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?Pine.BSI.3.95.961025171102.17952B-100000>